%global modname h5py

Summary:        A high- and low-level interface to the HDF5 library from Python
Name:           python-h5py
Version:        3.6.0
Release:        2
License:        BSD
URL:            http://www.h5py.org/
Source0:        https://github.com/h5py/h5py/archive/refs/tags/%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  hdf5-devel
BuildRequires:  python3-devel
BuildRequires:  python3-pkgconfig
BuildRequires:  python3-six
BuildRequires:  python3-sphinx
BuildRequires:  python3-numpy
BuildRequires:  python3-Cython
BuildRequires:  python3-pytest

%description
The h5py package provides both a high- and low-level interface to the HDF5 library from Python. The low-level interface is intended to be a complete wrapping of the HDF5 API, while the high-level component supports access to HDF5 files, datasets and groups using established Python and NumPy concepts.

A strong emphasis on automatic conversion between Python (Numpy) datatypes and data structures and their HDF5 equivalents vastly simplifies the process of reading and writing data from Python.

%package     -n python3-h5py
Summary:        %{summary}
Requires:       hdf5%{_isa} = %{_hdf5_version}
Requires:       python3-numpy
Requires:       python3-six
%{?python_provide:%python_provide python3-h5py}
%description -n python3-h5py
A high- and low-level interface to the HDF5 library from Python3

%prep
%setup -q -n %{modname}-%{version}
%{__python3} api_gen.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest %{buildroot}%{python3_sitearch}/h5py/ -k 'not TestMPI'

%files -n python3-h5py
%license licenses/*.txt
%doc README.rst examples
%{python3_sitearch}/%{modname}/
%{python3_sitearch}/%{modname}-%{version}-*.egg-info

%changelog
* Wed Nov 23 2022 yanglongkang <yanglongkang@h-partners.com> - 3.6.0-2
- fix Source incorrect in spec file

* Thu Jun 23 2022 wulei <wulei80@h-partners.com> - 3.6.0-1
- Upgrade to 3.6.0

* Tue Oct 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.10.0-1
- Package init
